at.chipkarte.client.abs.soap

## Class StatusBewilligungsAnfrage

- Object
- - at.chipkarte.client.abs.soap.StatusBewilligungsAnfrage

-     public class StatusBewilligungsAnfrage
      extends Object

  Enthält die Daten zum Status einer Bewilligungsanfrage.

  Eine Bewilligungsanfrage kann sich in einem der folgenden Status befinden:
  - Übertragen: Die Bewilligungsanfrage wurde erfolgreich an den chef- und kontrollärztlichen Dienst übermittelt.
  - Zwischenantwort: Es liegt eine noch nicht abgerufene Zwischenantwort des chef- und kontrollärztlichen Dienstes zur gestellten Bewilligungsanfrage vor.
  - Beantwortet: Es liegt eine noch nicht abgerufene Rückantwort des chef- und kontrollärztlichen Dienstes zur gestellten Bewilligungsanfrage vor.
  - Gelesen: Die Rückantwort oder Zwischenantwort zur Bewilligungsanfrage wurde bereits abgerufen.

  Der aktuelle Status kann wie folgt aus den in dieser Klasse definierten Zeitpunkten abgeleitet werden:

  Status | Einlangenzeitpunkt | Zwischenantwortszeitpunkt | Beantwortungszeitpunkt | Abfragezeitpunkt
  --- | --- | --- | --- | ---
  Übertragen | gesetzt | `null` | `null` | `null`
  Zwischenantwort | gesetzt | gesetzt | `null` | `null`
  Beantwortet | gesetzt | gesetzt/null | gesetzt | `null`
  Gelesen | gesetzt | gesetzt/null | gesetzt | gesetzt

  Bewilligungsanfragen stehen nur innerhalb eines im ABS konfigurierten Zeitraums zur Statusabfrage zur Verfügung. Derzeit ist für Bewilligungsanfragen im Zustand gelesen ein Zeitraum von mindestens 14 Tagen und Bewilligungsanfragen im Zustand übertragen oder beantwortet ein Zeitraum von mindestens 6 Monaten vorgesehen.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StatusBewilligungsAnfrage()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAbfrageZeitpunkt()` Zeitpunkt der ersten Abfrage der Rückantwort.
    `String` | `getAnfrageId()` Eindeutige ID der Bewilligungsanfrage.
    `String` | `getBeantwortungsZeitpunkt()` Zeitpunkt des Bereitstellens der Rückantwort zu dieser Anfrage durch das ABS.
    `String` | `getEinlangeZeitpunkt()` Zeitpunkt des Einlangens der Bewilligungsanfrage im ABS.
    `String` | `getEKVKNummer()` Die EKVK-Nummer des Patienten der europäischen Krankenversicherungskarte (EKVK), sofern der Patient im EU-Ausland versichert ist.
    `String` | `getNachnamePatient()` Nachname des Patienten, für den die Bewilligungsanfrage gestellt wurde.
    `String` | `getSVNRPatient()` Sozialversicherungsnummer des Patienten für den die Bewilligungsanfrage gestellt wurde, sofern die Person in Österreich versichert ist.
    `String` | `getVornamePatient()` Vorname des Patienten, für den die Bewilligungsanfrage gestellt wurde.
    `String` | `getZwischenantwortZeitpunkt()` Zeitpunkt des Bereitstellens der Zwischenantwort zu dieser Anfrage durch das ABS.
    `void` | `setAbfrageZeitpunkt(String abfrageZeitpunkt)`
    `void` | `setAnfrageId(String anfrageId)`
    `void` | `setBeantwortungsZeitpunkt(String beantwortungsZeitpunkt)`
    `void` | `setEinlangeZeitpunkt(String einlangeZeitpunkt)`
    `void` | `setEKVKNummer(String nummer)`
    `void` | `setNachnamePatient(String nachnamePatient)`
    `void` | `setSVNRPatient(String patient)`
    `void` | `setVornamePatient(String vornamePatient)`
    `void` | `setZwischenantwortZeitpunkt(String zwischenantwortZeitpunkt)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StatusBewilligungsAnfrage

          public StatusBewilligungsAnfrage()

  - ### Method Detail

    - #### getAbfrageZeitpunkt

          public String getAbfrageZeitpunkt()

      Zeitpunkt der ersten Abfrage der Rückantwort. Wird eine Rückantwort mehrmals abgefragt, ändert sich dieser Zeitpunkt nicht.
      Format: TT.MM.JJJJ hh:mm
      Returns:
        Abfragezeitpunkt

    - #### getAnfrageId

          public String getAnfrageId()

      Eindeutige ID der Bewilligungsanfrage.
      Format: maximal 38-stellig
      Returns:
        AnfrageId

    - #### getEinlangeZeitpunkt

          public String getEinlangeZeitpunkt()

      Zeitpunkt des Einlangens der Bewilligungsanfrage im ABS.
      Format: TT.MM.JJJJ hh:mm
      Returns:
        Einlangezeitpunkt

    - #### getZwischenantwortZeitpunkt

          public String getZwischenantwortZeitpunkt()

      Zeitpunkt des Bereitstellens der Zwischenantwort zu dieser Anfrage durch das ABS.
      Format: TT.MM.JJJJ hh:mm
      Returns:
        ZwischenantwortZeitpunkt

    - #### getBeantwortungsZeitpunkt

          public String getBeantwortungsZeitpunkt()

      Zeitpunkt des Bereitstellens der Rückantwort zu dieser Anfrage durch das ABS.
      Format: TT.MM.JJJJ hh:mm
      Returns:
        Beantwortungszeitpunkt

    - #### getSVNRPatient

          public String getSVNRPatient()

      Sozialversicherungsnummer des Patienten für den die Bewilligungsanfrage gestellt wurde, sofern die Person in Österreich versichert ist. Andernfalls liefert diese Methode `null` zurück und die `EKVKNummer` ist gesetzt.
      Format: 10-stellig, numerisch
      Die Sozialversicherungsnummer entspricht den Regeln für Sozialversicherungsnummern (Prüfziffer).
      Returns:
        SVNR des Patienten

    - #### getNachnamePatient

          public String getNachnamePatient()

      Nachname des Patienten, für den die Bewilligungsanfrage gestellt wurde.
      Format: maximal 70-stellig
      Returns:
        Nachname des Patienten

    - #### getVornamePatient

          public String getVornamePatient()

      Vorname des Patienten, für den die Bewilligungsanfrage gestellt wurde.
      Format: maximal 70-stellig
      Returns:
        Vorname des Patienten

    - #### getEKVKNummer

          public String getEKVKNummer()

      Die EKVK-Nummer des Patienten der europäischen Krankenversicherungskarte (EKVK), sofern der Patient im EU-Ausland versichert ist.
      Format: maximal 20-stellig
      Returns:
        EKVK-Nummer

    - #### setAbfrageZeitpunkt

          public void setAbfrageZeitpunkt(String abfrageZeitpunkt)

    - #### setAnfrageId

          public void setAnfrageId(String anfrageId)

    - #### setEinlangeZeitpunkt

          public void setEinlangeZeitpunkt(String einlangeZeitpunkt)

    - #### setZwischenantwortZeitpunkt

          public void setZwischenantwortZeitpunkt(String zwischenantwortZeitpunkt)

    - #### setBeantwortungsZeitpunkt

          public void setBeantwortungsZeitpunkt(String beantwortungsZeitpunkt)

    - #### setSVNRPatient

          public void setSVNRPatient(String patient)

    - #### setNachnamePatient

          public void setNachnamePatient(String nachnamePatient)

    - #### setVornamePatient

          public void setVornamePatient(String vornamePatient)

    - #### setEKVKNummer

          public void setEKVKNummer(String nummer)